Subject: bug#52573: closed (Re: gdk-pixbuf+svg)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Dec 2021 13:18:01 +0000

Your bug report

#52573: gdk-pixbuf+svg

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52573: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52573
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: gdk-pixbuf+svg
From: Liliana Marie Prikler <[email-masked]>
To: Florian Hoertlehner <[email-masked]>, [email-masked]
Date: Fri, 17 Dec 2021 14:17:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Florian,

Am Freitag, dem 17.12.2021 um 13:27 +0100 schrieb Florian Hoertlehner:
> I believe something has changed in guix that breaks my package
> definition of vscodium.
> 
> I had this package running for 6 months, and now it no longer works:
> https://github.com/pink-gorilla/gorilla-guix-chan/blob/master/BAD/vscode.scm
In general, it is your obligation as a channel manager to track Guix
and keep up-to-date with its changes, particularly in this case the
looooooooooong core-updates cycle.

> I get this error: 
> gorilla/packages/vscode.scm:131:22: In procedure inputs:
>  error: gdk-pixbuf+svg: unbound variable
> 
> Any ideas?
gdk-pixbuf+svg no longer exists as of the recent merge of core-updates-
frozen.  Depending on your use case you'll have to use gdk-pixbuf or
librsvg instead.

Cheers 

Subject: gdk-pixbuf+svg
From: Florian Hoertlehner <[email-masked]>
To: [email-masked]
Date: Fri, 17 Dec 2021 13:27:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I believe something has changed in guix that breaks my package definition
of vscodium.

I had this package running for 6 months, and now it no longer works:
https://github.com/pink-gorilla/gorilla-guix-chan/blob/master/BAD/vscode.scm

I get this error:
gorilla/packages/vscode.scm:131:22: In procedure inputs:
 error: gdk-pixbuf+svg: unbound variable

Any ideas?